%define	name	ephoto
%define version 4.15.0
%define release %mkrel 2

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d

Summary: 	Enlightenment photo manager
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphics
URL: 		http://get-e.org/
Source: 	%{name}-%{version}.tar.bz2
Source1:	%name.desktop
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	evas-devel >= 0.9.9.050, ewl-devel >= 0.5.3.050
Buildrequires:  epsilon-devel >= 0.3.0.012, emotion-devel >= 0.1.0.042
BuildRequires:	ecore-devel >= 0.9.9.050, edje-devel >= 0.9.9.5.050,  edje >= 0.9.9.050
BuildRequires:	%{mklibname sqlite3}-devel, %{mklibname exif-gtk5}-devel
Buildrequires:  gettext-devel, cvs
BuildRequires:  imagemagick
BuildRequires:  desktop-file-utils


%description
Ephoto is an ewl app that is used for sophisticate image viewing.
This package is part of the Enlightenment DR17 desktop shell.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# %lang(fr) /usr/share/locale/fr/LC_MESSAGES/ephoto.mo
%find_lang %{name}
for mo in `ls %buildroot%_datadir/locale/` ;
do Y=`echo -n $mo | sed -e "s|/||"`;
echo "%lang($Y) $(echo %_datadir/locale/${mo}/LC_MESSAGES/%{name}.mo)" >> $RPM_BUILD_DIR/%{name}-%{version}/%{name}.lang
done



mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cp -vf %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop

mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 data/images/emblem-photos.png %buildroot%_liconsdir/ephoto.png
convert -resize 32x32 data/images/emblem-photos.png %buildroot%_iconsdir/ephoto.png
convert -resize 16x16 data/images/emblem-photos.png %buildroot%_miconsdir/ephoto.png

mkdir -p %buildroot%{_datadir}/pixmaps
cp data/images/emblem-photos.png %buildroot%{_datadir}/pixmaps/ephoto.png

%if %mdkversion < 200900
%post 
%{update_menus} 
%endif

%if %mdkversion < 200900
%postun 
%{clean_menus} 
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%{_datadir}/%name
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png
%_datadir/pixmaps/*.png
%{_datadir}/applications/*



%changelog
* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 4.15.0-2mdv2009.1
+ Revision: 347397
- adjust buildrequires

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 4.15.0-1mdv2009.1
+ Revision: 347188
- fix sqlite3-devel build requires
- SVN SNAPSHOT 20090227, release 4.15.0
- CVS SNAPSHOT 20071031, release 2.15.0

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 01 2007 Antoine Ginies <aginies@mandriva.com> 2.15.0-5mdv2008.0
+ Revision: 33670
- move to Graphics group
- ?\195?\169fix specfile

* Fri May 25 2007 Antoine Ginies <aginies@mandriva.com> 2.15.0-3mdv2008.0
+ Revision: 31172
- fix desktop file
- add desktop file

* Fri May 25 2007 Antoine Ginies <aginies@mandriva.com> 2.15.0-2mdv2008.0
+ Revision: 31083
- CVS snapshot 20070525

* Fri May 25 2007 Antoine Ginies <aginies@mandriva.com> 2.15.0-1mdv2008.0
+ Revision: 31016
- add BuildRequires: ImageMagick
- add edje buildrequires
- adjust buildrequires
- add cvs buildrequires
- add gettext-devel buildrequires
- fix buildrequires (exif-gtk5-devel)
- CVS snaphot 20070524, add menu entry, add lang, remove cvs release, adjust buildrequires
- Import ephoto



* Tue Mar 28 2006 Austin Acton <austin@mandriva.org> 0.15.0-0.20060323.1mdk
- initial package
